@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Lora:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

body {
  font-family: var(--primary-font-family);
  font-size: 16px;
  background: #fff;
  color: var(--text-color);
}

.hide_screenUI main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 95px);
}

.hide_screenUI header {
  padding: 15px;
  border-bottom: 1px solid var(--input-border-color);
}

.desktop_hide {
  display: none;
}

#mobilePreview::-webkit-scrollbar {
  width: 0px;
  background: transparent;
}

#mobilePreview {
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.inter_panel.credintial_pages {
  background: linear-gradient(180deg, var(--primary-color) 0%, var(--dark) 75%);
  padding: 30px 15px 20px 15px;
}

.inter_panel.credintial_pages::before {
  content: "";
  position: absolute;
  inset: 0;
  background-size: cover;
  background-position: center;
  opacity: 0.3;
  z-index: 0;
}

.inter_panel.credintial_pages>* {
  position: relative;
  z-index: 1;
}

.credintial_pages #register_form, .credintial_pages #otp_form {
  background-color: var(--white);
  padding: 24px;
  border-radius: 12px;
}

.credintial_pages #register_form h2 {
  font-size: calc(var(--primary-font-size) + 20px);
  font-family: var(--secondary-font-family);
}

.or-divider {
  display: flex;
  align-items: center;
  text-align: center;
  color: #6c757d;
  font-weight: 600;
}

.or-divider::before,
.or-divider::after {
  content: "";
  flex: 1;
  border-bottom: 1px solid #EDF1F3;
}

.or-divider::before {
  margin-right: 15px;
}

.or-divider::after {
  margin-left: 15px;
}


.credintial_pages footer {
  text-align: center;
  color: var(--white);
  padding: 30px 30px 0 30px;
}

.credintial_pages footer a,
.credintial_pages footer p {
  color: var(--white);
}

.credintial_pages footer .d-flex {
  gap: 15px;
}

.otp-container .otp-inputs {
  display: flex;
  justify-content: center;
  gap: 17px;
  margin: 15px 0;
}

.otp-container .otp-inputs input {
  background: #E7F2FA;
  border: none;
  border-radius: 8px;
  width: 44px;
  height: 44px;
  text-align: center;
  box-shadow: 0px 1px 3px 1px #00000026;
  outline: none;
}

.get_start_page .custom-progress {
  height: 10px;
  background-color: #e9ecef;
  border-radius: 10px;
}

.get_start_page .custom-progress .progress-bar {
  background-color: var(--primary-color);
  border-radius: 10px;
}

.get_start_page .next-steps li {
  display: flex;
  align-items: center;
  font-size: 16px;
  color: #2d3748;
  margin-bottom: 14px;
}

.get_start_page .check-icon {
  width: 26px;
  height: 26px;
  background-color: var(--primary-color);
  color: var(--white);
  border-radius: 50%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  margin-right: 12px;
}
#regForm .custom-arrow {
    top: 50% !important;
}
.inner_pages,
.inner_pages .parent_wrapper {
  min-height: auto !important;
  background-color: #F8FAFC !important;
}

.inner_pages .top-header {
  position: fixed;
  width: 100%;
  background: var(--white);
  border-bottom: 1px solid #eee;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 16px;
  z-index: 10;
      box-shadow: 0px 0px 5px 0px #dbdbdb4d;
}

.inner_pages .tabs-wrapper {
position: fixed;
    top: 0;
    width: 100%;
    background: #fff;
    z-index: 9;
    margin-top: 57px;

}

.inner_pages .bottom-nav {
  position: fixed;
  bottom: 23px;
  width: 100%;
  /*background: #fff;*/
   background: rgba(255, 255, 255, 0.15); 
  backdrop-filter: blur(10px);         
  -webkit-backdrop-filter: blur(10px); 
  border-top: 1px solid #eee;
  display: flex;
  z-index: 9;
  /*box-shadow: 0px -4px 4px 0px #0000004D;*/
  /*border-radius: 15px;*/
}

.inner_pages .top-header h5 {
  flex: 1;
  text-align: center;
  margin: 0;
}

.inner_pages .tabs-wrapper li.nav-item {
  width: 50%;
  text-align: center;
}

.inner_pages .nav-tabs {
  border-bottom: none;
}

.inner_pages .nav-tabs .nav-link {
  border: none;
  color: #777;
}

.inner_pages .nav-tabs .nav-link.active {
  color: #374151;
  border-bottom: 2px solid var(--primary-color);
  font-weight: 600;
}

.inner_pages .intern-card {
  background: #fff;
  border-radius: 8px;
  padding: 12px;
  margin-bottom: 12px;
  border: 1px solid #E5E7EB;
}

.inner_pages .intern-card .card-top {
  display: flex;
  align-items: center;
}

.inner_pages .intern-card .card-top img {
  border-radius: 50%;
  width: 50px;
  height: 50px;
  object-fit: contain;
}

.inner_pages .intern-card .card-top .info {
  flex: 1;
  margin-left: 10px;
}

.inner_pages .intern-card .card-top h6 {
  margin: 0;
  font-weight: 600;
}

.inner_pages .intern-card .card-top small span {
  color: var(--primary-color);
}

.inner_pages .intern-card .desc {
  font-size: 13px;
  color: #666;
  margin: 8px 0;
}

.inner_pages .intern-card .meta {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.inner_pages .bottom-nav .nav-item {
  flex: 1;
  text-align: center;
  font-size: 12px;
  padding: 10px 0;
  color: #777;
}

.inner_pages .bottom-nav .nav-item a {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 5px;
}

.inner_pages .bottom-nav .active {
  color: var(--primary-color);
  background: #FDF4FF;
  /* border-radius: 8px; */
  border-bottom: 2px solid var(--primary-color);
  font-weight: 600;
}

.inner_pages .bottom-nav .active svg path {
  fill: var(--primary-color);
  ;
}

.inner_pages .save-wrapper {
  display: inline-flex;
  align-items: center;
  gap: 6px;
}

.inner_pages .save-wrapper input {
  opacity: 0;
  position: absolute;
}

.inner_pages .save-wrapper input:checked+svg path {
  stroke: var(--primary-color);
  fill: var(--primary-color);
}

#sidebar {
  position: fixed;
  top: 0;
  right: -100%;
  width: 100%;
  height: 100%;
  background: var(--white);
  padding: 15px;
  transition: 0.3s;
  z-index: 1001;
}

#sidebar.active {
  right: 0;
}

#sidebar .close-btn {
  background: none;
  border: none;
}

/* lisitng detail page style */
.inner_pages .bg_image {
  background-image: url("../img/intern_detail_bg.png");
  background-position: top;
  background-size: 100%;
  background-repeat: no-repeat;
  height: 100px;
}

.inner_pages .job-card {
  background-color: #ffffff;
  border-top-left-radius: 25px;
  border-top-right-radius: 25px;
  position: relative;
}

.inner_pages .job-card .logo {
  position: absolute;
  left: 0;
  right: 0;
  top: -30px;
  width: 70px;
  height: 70px;
  margin: auto;
  border-radius: 15px;
  border: 2px solid var(--primary-color);
  display: flex;
  align-items: center;
  justify-content: center;
}

.inner_pages .job-card .logo img {
  width: 100%;
  height: 100%;
  border-radius: 15px;
  object-fit: contain;
}

.inner_pages .job-card .company_name {
  padding-top: 55px;
  font-weight: 600;
}

.inner_pages .job-card .job-details .icon {
  background-color: #f2f2f2;
  padding: 7px;
  border-radius: 8px;
}

.inner_pages .company {
  color: #888;
  font-size: 14px;
}

.inner_pages .job-desc {
  margin-top: 10px;
  font-size: 14px;
}

.inner_pages .job-desc h6 {
  font-weight: 600;
}

.inner_pages .applied {
  text-align: center;
  font-size: 16px;
  font-weight: 600;
  background-color: #F3F4F6;
  color: #1F2937;
  padding: 15px 0;
  border-radius: 8px;
}

.inner_pages .card-custom {
  border-radius: 12px;
  border: none;
  background-color: var(--white);
}

.inner_pages .progress {
  height: 6px;
  border-radius: 10px;
}

.inner_pages .progress-bar {
  background-color: var(--primary-color);
}

.inner_pages .bottom-btn {
  position: fixed;
  bottom: 0;
  width: 100%;
  background: #f2f4f7;
  padding: 15px;
}

.inner_pages .custom-upload {
  display: flex;
  align-items: center;
  border: 1.5px solid #b0b8c1;
  border-radius: 10px;
  overflow: hidden;
}

.inner_pages .custom-upload input {
  border: none;
  flex: 1;
  padding: 10px 12px;
  font-size: 14px;
}

.inner_pages .custom-upload button {
  border: none;
  background: #F3F4F6;
  padding: 10px 16px;
  color: #1F2937;
}

.inner_pages .file-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 0;
  border-bottom: 1px solid #e3e6ea;
  font-size: 14px;
}

.inner_pages .delete-btn {
  background: none;
  padding: 5px;
  border: none;
  cursor: pointer;
}

.inner_pages .event-card {
  background: #fff;
  border-radius: 10px;
  padding: 15px;
  max-width: 420px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
  margin-bottom: 15px;
}

.inner_pages .event-img img {
  width: 90px;
  height: 90px;
  border-radius: 6px;
  object-fit: cover;
}

.innerpage_modal {
  max-width: 418px;
  margin: 0 auto;
  right: 0;
  margin-top: -5px;
}

.innerpage_modal .modal-content {
  border-radius: 15px;
}

.innerpage_modal .modal-dialog {
  background: rgb(97 97 97 / 60%);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(10px);
}

.bottom-fixed {
  position: fixed;
  bottom: 21px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 418px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  padding: 15px;
  background: #fff;
}

.inner_pages .step_sliderrr {
  max-width: 100%;
}

.inner_pages .step_sliderrr .swiper-slide {
  width: 90%;
}

.inner_pages .step-card {
  background: #f8fbfe;
  border: 2px solid #9bb0cc;
  border-radius: 24px;
  padding: 24px 20px 30px;
}

.inner_pages .step-label {
  text-align: left;
  font-weight: 600;
  color: var(--primary-color);
}

.inner_pages .icon-wrap {
  height: 80px;
}

.inner_pages .step-title {
  font-weight: 600;
  color: var(--primary-color);
  margin-bottom: 6px;
}

.inner_pages .step-desc {
  font-size: 14px;
  color: #4a4a4a;
  margin-bottom: 0;
}

.inner_pages .status-item {
  display: flex;
  align-items: center;
  padding-bottom: 15px;
}

.inner_pages .status-icon {
  width: 28px;
  height: 28px;
  border-radius: 50%;
  background: #e6e9ee;
  color: #3b3b3b;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  margin-right: 14px;
  flex: 0 0 auto;
}

.inner_pages .status-item.active .status-icon {
  background: var(--primary-color);
  color: #fff;
}

.inner_pages .status-text {
  flex-grow: 1;
}

.inner_pages .status-add {
  font-size: 14px;
  cursor: pointer;
}

/*.profile-sidebar {*/
/*  width: 100%;*/
/*  height: 100dvh;*/
/*  background: #fff;*/
/*  position: fixed;*/
/*  top: 0;*/
/*  left: -100%;*/
/*  z-index: 1050;*/
/*  display: flex;*/
/*  flex-direction: column;*/
/*  transition: left 0.3s ease-in-out;*/
/*  box-shadow: 2px 0 10px rgba(0, 0, 0, 0.2);*/
/*}*/
.profile-sidebar {
    width: 100%;
    height: 100dvh;         
    background: #fff;
    position: fixed;
    top: 0;
    left: -100%;
    z-index: 1050;
    display: flex;
    flex-direction: column;
    transition: left 0.3s ease-in-out;
    box-shadow: 2px 0 10px rgba(0, 0, 0, 0.2);
}


 .profile-sidebar.active {
  left: 0;
}

.profile-sidebar-header {
  padding: 20px;
  position: relative;
}

.profile-sidebar-content {
  flex: 1;
  overflow-y: auto;
}

 .profile-sidebar-footer {
  padding: 15px;
  border-top: 1px solid #eee;
}

 .close-btn {
  position: absolute;
  right: 15px;
  top: 10px;
  font-size: 24px;
  cursor: pointer;
}
.search-container {
    opacity: 0;
    height: 0;
    width: 100%;
}
.inner_pages .search-container.active {
    opacity: 1;
    margin: 15px 0 10px 0;
    height: auto;
}

.inner_pages .search-input {
  border-radius: 30px;
  padding-right: 20px;
  border: 1px solid #dfdfdf;
      background-color: #f7f7f7cc;
}

.inner_pages .close-search {
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 20px;
  cursor: pointer;
  color: #666;
}

@keyframes slideDown {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.no_data_found{
    height: 70vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
.install-btn {
    position: fixed;
    background: #3f3f3f;
    padding: 10px;
    width: 95%;
    top: 9%;
    z-index: 9;
    border-radius: 8px;
    margin: 0 auto;
    left: 0;
    right: 0;
}
.install-btn p{
    color: #fff;
}
.written_textarea{
        width: 100%;
    border: 2px solid #E2E8F0;
    border-radius: 10px;
    padding: 10px;
}
@media (min-width: 768px) {

  .preview {
    width: 441px;
    margin: 0 auto;
    border: 12px solid #000;
    border-radius: 30px;
    background: #fff;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.4);
    height: 97vh;
    overflow: auto;
    margin-top: 1%;
  }

  .parent_wrapper {
    display: flex;
    justify-content: center;
    flex-direction: column;
    min-height: 88vh;
  }
.install-btn {
    max-width: 400px;
    top: 13.9%;
}
  .inner_pages .top-header {
    top: 2.9%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 418px;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
  }

  .inner_pages .tabs-wrapper {
    top: 9.5%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 418px;
  }

  .inner_pages .content-scroll {
    margin: 110px 0 70px 0;
    padding: 0 15px;
  }

  .inner_pages .bottom-nav {
    position: fixed;
    padding: 0 15px;
    bottom: 22px;
    width: 100%;
    background: #fff;
    border-top: 1px solid #eee;
    display: flex;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 418px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
  }
  .bottom-nav .parent{
      display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
  }

  .inner_pages .bottom-btn {
    bottom: 22px;
    width: 417px;
    transform: translateX(-50%);
    left: 50%;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
  }

  #sidebar {
    width: 418px;
  }

  #sidebar.active {
    max-width: 418px;
    left: 0;
    margin: 0 auto;
    right: 0;
    height: 94%;
    top: 25px;
    border-radius: 15px !important;
  }

}

@media (max-width: 767px) {

  .hide_screen,
  #desktopUI {
    display: none;
  }

  #mobilePreview {
    display: block;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .inner_pages .content-scroll {
    margin: 105px 0 70px 0;
    padding: 0 15px;
  }

  .inner_pages .bottom-nav {
    bottom: 0;
  }

  .bottom-fixed {
    bottom: 0;
  }
  .bottom-nav .parent{
      background: #fff;
      display: flex;
    width: 100%;
    box-shadow: 0px 0px 5px 0px #0000004D;
    border-radius: 15px;
    margin: 15px 15px;
  }
}